<?php

include(dirname(__FILE__).'/../../config/config.inc.php');
include(dirname(__FILE__).'/../../header.php');
include(dirname(__FILE__).'/cashonpost.php');

$confirm = Tools::getValue('confirm');

/* Validate order */
if ($confirm)
{
	$customer = new Customer(intval($cart->id_customer));
	$cashOnPost = new CashOnPost();
	$total = $cart->getOrderTotal(true, 3);
	$cashOnPost->validateOrder(intval($cart->id), _PS_OS_PREPARATION_, $total, $cashOnPost->displayName);
	$order = new Order(intval($cashOnPost->currentOrder));
	Tools::redirectLink(__PS_BASE_URI__.'order-confirmation.php?key='.$customer->secure_key.'&id_cart='.intval($cart->id).'&id_module='.intval($cashOnPost->id).'&id_order='.intval($cashOnPost->currentOrder));
}
else
{
	/* or ask for confirmation */
	$smarty->assign(array(
		'total' => number_format($cart->getOrderTotal(true, 3), 2, '.', ''),
		'this_path_ssl' => (Configuration::get('PS_SSL_ENABLED') ? 'https://' : 'http://').htmlspecialchars($_SERVER['HTTP_HOST'], ENT_COMPAT, 'UTF-8').__PS_BASE_URI__.'modules/cashonpost/'
	));

	$smarty->assign('this_path', __PS_BASE_URI__.'modules/cashonpost/');
	echo Module::display(__FILE__, 'validation.tpl');
}

include(dirname(__FILE__).'/../../footer.php');